This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 780197 - (SOA-2578) Exception "javax.jms.IllegalStateException: Cannot find session with id ..."
Exception "javax.jms.IllegalStateException: Cannot find session with id ..."
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER4
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0 GA,5.1.0.ER5
Assigned To: Julian Coleman
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 10:52 EST by Pavel Macik
Modified: 2011-02-12 07:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Linux 2.6.18-53.1.14.el5xen, x86_64, SOA-P 4.2.0 CP03 CR5, "production" based configuration, jdk1.5.0_12
Last Closed: 2011-02-12 07:49:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2578 Blocker Closed Exception "javax.jms.IllegalStateException: Cannot find session with id ..." 2013-03-07 06:55:42 EST

  None (edit)
Description Pavel Macik 2010-11-12 10:52:27 EST
project_key: SOA

There is a race in the JBoss Messaging code that may be triggered when the JCA layer attempts to close down a messaging inflow deployment.  This results in the IllegalStateException being raised at a later point, during commit on the transaction boundary.
Comment 1 Kevin Conner 2010-11-12 10:52:28 EST
Link: Added: This issue Cloned from SOA-1064
Comment 2 Kevin Conner 2010-11-16 05:18:43 EST
Link: Added: This issue depends JBPAPP-5415
Comment 3 Anne-Louise Tangring 2010-12-01 13:00:07 EST
Is this a defect we are tracking for EAP next? Or is it something we need for SOA 5.1.0?
Comment 4 Kevin Conner 2010-12-01 13:17:54 EST
We need it for SOA 5.1 as it is part of the clustered messaging changes that are coming in
Comment 5 Kevin Conner 2010-12-03 10:57:57 EST
Link: Added: This issue depends JBPAPP-5505
Comment 6 Kevin Conner 2010-12-03 10:59:19 EST
Link: Removed: This issue depends JBPAPP-5415 
Comment 7 Kevin Conner 2010-12-03 10:59:55 EST
Link: Added: This issue is related to SOA-2455
Comment 8 Julian Coleman 2010-12-05 11:37:55 EST
Resolved with revision 7524 of:

  build-tools/builders/eap/post-patch/patch_db_persistance_conf.xml

Commit message:

  SOA-2455/SOA-2578
  Add the patches from JBPAPP-5505 to jboss-messaging-client.jar,
  jboss-messaging.jar and the &-persistence-service.xml files.
Comment 9 Laura Bailey 2010-12-16 20:10:55 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 11 Darrin Mison 2011-01-04 19:14:48 EST
Writer: Added: dlesage
Comment 12 Pavel Macik 2011-02-03 07:08:35 EST
Verified - not seeing the exception any more - with ER7
Comment 13 David Le Sage 2011-02-10 18:27:49 EST
Temporarily reopening to update release notes.
Comment 14 David Le Sage 2011-02-10 18:30:04 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-2578

There was a race in the JBoss Messaging code that was triggered when the JCA layer attempted to close down a messaging inflow deployment. This caused a IllegalStateException to be raised during the commit on the transaction boundary. To fix this problem, a series of JBoss messaging patches have been back-ported. As a result, the problem no longer occurs.
Comment 15 Laura Bailey 2011-02-12 07:45:58 EST
Reopening this JIRA to edit the release notes text field; will set back to Closed -> Done in a moment.
Comment 16 Laura Bailey 2011-02-12 07:48:56 EST
Release Notes Text: Removed: https://issues.jboss.org/browse/SOA-2578

There was a race in the JBoss Messaging code that was triggered when the JCA layer attempted to close down a messaging inflow deployment. This caused a IllegalStateException to be raised during the commit on the transaction boundary. To fix this problem, a series of JBoss messaging patches have been back-ported. As a result, the problem no longer occurs. Added: A race in the JBoss Messaging code was triggered when the JCA layer attempted to close down a messaging inflow deployment. This caused an exception of type IllegalStateException during the commit on the transaction boundary. Several JBoss Messaging patches were back-ported to fix this issue.
Comment 17 Laura Bailey 2011-02-12 07:49:44 EST
Setting to Closed -> Done again after editing the release notes field.

Note You need to log in before you can comment on or make changes to this bug.